Foxit PDF SDK

Public Member Functions | List of all members
FSDK.PolyLine Class Reference
Inheritance diagram for FSDK.PolyLine:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (annot)
| Constructor, with parent class object. More...
| GetLineEndStyle ()
| Get line ending style of the end point. More...
| GetLineStartStyle ()
| Get line ending style of the start point. More...
| GetMeasureConversionFactor (measure_type)
| Get the conversion factor for measuring. More...
| GetMeasureRatio ()
| Get the scale ratio string for measuring. More...
| GetMeasureRatioW ()
| Get the scale ratio string for measuring. More...
| GetMeasureUnit (measure_type)
| Get the label for displaying the units for measuring. More...
| GetMeasureUnitW (measure_type)
| Get the label for displaying the units for measuring. More...
| GetStyleFillColor ()
| Get fill color for some line ending styles. More...
| GetVertexes ()
| Get vertexes. More...
| SetLineEndStyle (ending_style)
| Set line ending style of the end point. More...
| SetLineStartStyle (starting_style)
| Set line ending style of the start point. More...
| SetMeasureConversionFactor (measure_type, factor)
| Set the conversion factor for measuring. More...
| SetMeasureRatio (ratio)
| Set the scale ratio string for measuring. More...
| SetMeasureUnit (measure_type, unit)
| Set the label for displaying the units for measuring. More...
| SetStyleFillColor (fill_color)
| Set fill color for some line ending styles. More...
| SetVertexes (vertexes)
| Set vertexes. More...
Public Member Functions inherited from FSDK.Markup
| AddReply ()
| Add a new reply to the end of reply list. More...
| AddRichText (content, style)
| Add a new rich text string to the end. More...
| AddStateAnnot (title, model, state)
| Add a new state annotation. More...
| constructor ()
| Constructor.
| constructor (annot)
| Constructor, with parent class object. More...
| GetBorderOpacity ()
| Get the border opacity of the annotation. More...
| GetCreationDateTime ()
| Get creation date time. More...
| GetFillOpacity ()
| Get the fill opacity of the annotation. More...
| GetGroupElements ()
| Get an element (as markup annotation) from the group that current markup annotation belongs to. More...
| GetGroupHeader ()
| Get the header annotation (as primary annotation) of the group that current markup annotation belongs to. More...
| GetIntent ()
| Get intent name. More...
| GetOpacity ()
| Get opacity value. More...
| GetPopup ()
| Get related pop-up annotation. More...
| GetReply (index)
| Get a reply by index. More...
| GetReplyCount ()
| Count all replies. More...
| GetRichTextContent (index)
| Get text string of a rich text string specified by index. More...
| GetRichTextCount ()
| Get the count of rich text strings. More...
| GetRichTextStyle (index)
| Get style data of a rich text string specified by index. More...
| GetStateAnnots (model)
| Get all state annotations in a specified state model. More...
| GetSubject ()
| Get subject string. More...
| GetTitle ()
| Get title string. More...
| InsertRichText (index, content, style)
| Insert a new rich text string to the place which is specified by index. More...
| IsGrouped ()
| Check whether current markup annotation is in a group or not. More...
| RemoveAllReplies ()
| Remove all the replies. More...
| RemoveAllStateAnnots ()
| Remove all the state annotations. More...
| RemovePopup ()
| Remove related pop-up annotation. More...
| RemoveReply (index)
| Remove a reply by index. More...
| RemoveRichText (index)
| Remove a rich text string specified by index. More...
| SetBorderOpacity (opacity)
| Set the border opacity of the annotation. More...
| SetCreationDateTime (date_time)
| Set creation date time. More...
| SetFillOpacity (opacity)
| Set the fill opacity of the annotation. More...
| SetIntent (intent)
| Set intent name. More...
| SetOpacity (opacity)
| Set opacity value. More...
| SetPopup (popup)
| Set related pop-up annotation. More...
| SetRichTextContent (index, content)
| Set text string of a rich text string specified by index. More...
| SetRichTextStyle (index, style)
| Set style data of a rich text string specified by index. More...
| SetSubject (subject)
| Set subject string. More...
| SetTitle (title)
| Set title string. More...
| Ungroup ()
| Ungroup current markup annotation from the group it belongs to. More...
Public Member Functions inherited from FSDK.Annot
| constructor ()
| Constructor.
| constructor (page, annot_dict)
| Constructor, with PDF page and annotation's PDF dictionary. More...
| GetAppearanceStream (type, appearance_state)
| Get annotation's appearance stream with specified type and state. More...
| GetBorderColor ()
| Get border color. More...
| GetBorderInfo ()
| Get border information. More...
| GetContent ()
| Get content. More...
| GetDeviceRect (matrix)
| Get annotation rectangle in device coordinate system. More...
| GetDict ()
| Get annotation's dictionary object. More...
| GetDisplayMatrix (page_display_matrix)
| Get the display matrix, from PDF coordinate system to targeted device coordinate system. More...
| GetFlags ()
| Get annotation flags. More...
| GetIndex ()
| Get the index of current annotation in the page which current annotation belongs to. More...
| GetModifiedDateTime ()
| Get last modified date time. More...
| GetOptionalContent ()
| Get the PDF dictionary of annotation's optional content. More...
| GetPage ()
| Get the related PDF page. More...
| GetRect ()
| Get rectangle, in PDF coordinate system. More...
| GetType ()
| Get actual annotation type of current annotation. More...
| GetUniqueID ()
| Get unique ID. More...
| HasProperty (property)
| Whether current annotation has the specified annotation's property. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| IsMarkup ()
| Check if current annotation is a markup annotation. More...
| Move (rect)
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
| Move (rect, is_reset_appearance)
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
| RemoveProperty (property)
| Remove a specified annotation's property. More...
| ResetAppearanceStream ()
| Reset appearance stream. More...
| ResetAppearanceStream (is_generate_new_appearance_obj)
| Reset appearance stream. More...
| SetBorderColor (color)
| Set border color. More...
| SetBorderInfo (border)
| Set border information. More...
| SetContent (content)
| Set content. More...
| SetFlags (flags)
| Set annotation flags. More...
| SetModifiedDateTime (date_time)
| Set last modified date time. More...
| SetUniqueID (unique_id)
| Set unique ID. More...

## Additional Inherited Members
Static Public Attributes inherited from FSDK.Markup
static | e_EndingStyleButt
| A short line at the endpoint perpendicular to the line itself.
static | e_EndingStyleCircle
| A circle filled with the annotation's interior color if any.
static | e_EndingStyleClosedArrow
| Two short lines meeting in an acute angle as in the OpenArrow style and connected by a third line to form a triangular closed arrowhead filled with the annotation's interior color if any.
static | e_EndingStyleDiamond
| A diamond shape filled with the annotation's interior color if any.
static | e_EndingStyleNone
| Enumeration for line ending style. More...
static | e_EndingStyleOpenArrow
| Two short lines meeting in an acute angle to form an open arrowhead.
static | e_EndingStyleRClosedArrow
| A triangular closed arrowhead in the reverse direction from ClosedArrow.
static | e_EndingStyleROpenArrow
| Two short lines in the reverse direction from OpenArrow.
static | e_EndingStyleSlash
| A short line at the endpoint approximately 30 degrees clockwise from perpendicular to the line itself.
static | e_EndingStyleSquare
| A square filled with the annotation's interior color if any.
static | e_MeasureTypeA
| Measurement of area.
static | e_MeasureTypeD
| Measurement of distance in any direction.
static | e_MeasureTypeS
| Measurement of the slope of a line.
static | e_MeasureTypeT
| Measurement of angles.
static | e_MeasureTypeX
| Enumeration for annotation's measure type. More...
static | e_MeasureTypeY
| Measurement of change along the y axis.
static | e_StateAccepted
| (Used with state model FSDK.Markup.e_StateModelReview) The user agrees with the change.
static | e_StateCancelled
| (Used with state model FSDK.Markup.e_StateModelReview) The change has been cancelled.
static | e_StateCompleted
| (Used with state model FSDK.Markup.e_StateModelReview) The change has been completed.
static | e_StateDeferred
| (Used with state model FSDK.Markup.e_StateModelReview) The change has been deferred.
static | e_StateFuture
| (Used with state model FSDK.Markup.e_StateModelReview) The change will be working in the future.
static | e_StateMarked
| (Used with state model FSDK.Markup.e_StateModelMarked) The annotation has been marked by the user.
static | e_StateModelMarked
| Enumeration for markup annotation's state model. More...
static | e_StateModelReview
| Markup annotation state model: review.
static | e_StateNone
| Enumeration for markup annotation's state. More...
static | e_StateRejected
| (Used with state model FSDK.Markup.e_StateModelReview) The user disagrees with the change.
static | e_StateUnmarked
| (Used with state model FSDK.Markup.e_StateModelMarked) The annotation has not been marked by the user.
Static Public Attributes inherited from FSDK.Annot
static | e_3D
| Annotation type: 3D annotation. One of standard annotation in <PDF reference 1.7>.
static | e_AppearanceTypeDown
| Annotation's down appearance.
static | e_AppearanceTypeNormal
| Enumeration for the type of annotation's appearance. More...
static | e_AppearanceTypeRollover
| Annotation's rollover appearance.
static | e_Caret
| Annotation type: caret annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Circle
| Annotation type: circle annotation. One of standard annotation in <PDF reference 1.7>.
static | e_FileAttachment
| Annotation type: file attachment annotation. One of standard annotation in <PDF reference 1.7>.
static | e_FlagHidden
| Annotation flag: hidden. More...
static | e_FlagInvisible
| Enumeration for PDF annotation flags. More...
static | e_FlagLocked
| Annotation flag: locked. More...
static | e_FlagLockedContents
| Annotation flag: locked contents. More...
static | e_FlagNoRotate
| Annotation flag: no rotate. More...
static | e_FlagNoView
| Annotation flag: no view. More...
static | e_FlagNoZoom
| Annotation flag: no zoom. More...
static | e_FlagPrint
| Annotation flag: print. More...
static | e_FlagReadOnly
| Annotation flag: read only. More...
static | e_FlagToggleNoView
| Annotation flag: toggle no view. More...
static | e_FreeText
| Annotation type: free text annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Highlight
| Annotation type: highlight annotation. One of standard annotation in <PDF reference 1.7>.
static | e_HighlightingInvert
| Highlighting mode: Invert, which is to invert the contents of the annotation rectangle.
static | e_HighlightingNone
| Enumeration for PDF annotation highlighting mode. More...
static | e_HighlightingOutline
| Highlighting mode: Outline, which is to invert the annotation's border.
static | e_HighlightingPush
| Highlighting mode: Push, which is to display the annotation's down appearance, if any.
static | e_HighlightingToggle
| Highlighting mode: Toggle. This is only useful for widget annotation.
static | e_Ink
| Annotation type: ink annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Line
| Annotation type: line annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Link
| Annotation type: link annotation. One of standard annotation in <PDF reference 1.7>.
static | e_MKEntryBackgroundColor
| Background color entry. "BG" in MK dictionary.
static | e_MKEntryBorderColor
| Border color entry. "BC" in MK dictionary.
static | e_MKEntryDownCaption
| Down caption (or alternate caption) entry. "AC" in MK dictionary. More...
static | e_MKEntryDownIcon
| Down icon (or alternate icon) entry. "IX" in MK dictionary. More...
static | e_MKEntryIconCaptionRelation
| Icon and caption relation entry. "TP" in MK dictionary. More...
static | e_MKEntryIconFit
| Icon fit information entry. "IF" in MK dictionary. More...
static | e_MKEntryNormalCaption
| Normal caption entry. "CA" in MK dictionary. More...
static | e_MKEntryNormalIcon
| Normal icon entry. "I" in MK dictionary. More...
static | e_MKEntryRolloverCaption
| Rollover caption entry. "RC" in MK dictionary. More...
static | e_MKEntryRolloverIcon
| Rollover icon entry. "RI" in MK dictionary. More...
static | e_MKEntryRotation
| Enumeration for annotation's MK dictionary (an appearance characteristics) entry. More...
static | e_MKRelationCaptionAboveIcon
| Caption above the icon.
static | e_MKRelationCaptionBelowIcon
| Caption below the icon.
static | e_MKRelationCaptionLeft
| Caption to the left of the icon.
static | e_MKRelationCaptionOvrlayOnIcon
| Caption overlaid directly on the icon.
static | e_MKRelationCaptionRight
| Caption to the right of the icon.
static | e_MKRelationNoCaption
| No caption; icon only.
static | e_MKRelationNoIcon
| Enumeration for icon and caption relative position in annotation's MK dictionary. More...
static | e_Movie
| Annotation type: movie annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Note
| Annotation type: note annotation, which is just "Text" annotation - one of standard annotation in <PDF reference 1.7>.
static | e_PagingSeal
| Annotation type: paging seal annotation. A Foxit PDF SDK custom annotation type (not a standard annotation type).
static | e_Polygon
| Annotation type: polygon annotation. One of standard annotation in <PDF reference 1.7>.
static | e_PolyLine
| Annotation type: polyline annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Popup
| Annotation type: pop-up annotation. One of standard annotation in <PDF reference 1.7>.
static | e_PrinterMark
| Annotation type: printer's mark annotation. One of standard annotation in <PDF reference 1.7>.
static | e_PropertyBorderColor
| Annotation property: border color. More...
static | e_PropertyCreationDate
| Annotation property: creation date. More...
static | e_PropertyFillColor
| Annotation property: fill color. More...
static | e_PropertyModifiedDate
| Enumeration for some PDF annotation property. More...
static | e_PSInk
| Annotation type: pressure sensitive ink annotation.
static | e_Redact
| Annotation type: redact annotation.
static | e_RichMedia
| Annotation type: rich media annotation.
static | e_Screen
| Annotation type: screen annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Sound
| Annotation type: sound annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Square
| Annotation type: square annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Squiggly
| Annotation type: squiggly annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Stamp
| Annotation type: stamp annotation. One of standard annotation in <PDF reference 1.7>.
static | e_StrikeOut
| Annotation type: strikeout annotation. One of standard annotation in <PDF reference 1.7>.
static | e_TrapNet
| Annotation type: trap network annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Underline
| Annotation type: underline annotation. One of standard annotation in <PDF reference 1.7>.
static | e_UnknownType
| Enumeration for PDF annotation type. More...
static | e_Watermark
| Annotation type: watermark annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Widget
| Annotation type: widget annotation. One of standard annotation in <PDF reference 1.7>. More...

## Detailed Description

A polyline annotation (PDF 1.5) is similar to a polygon, except that the first and last vertex are not implicitly connected.
Polyline annotation is a kind of markup annotation, so class FSDK.PolyLine is derived from class FSDK.Markup, and also offers functions to get/set polyline annotation's properties and reset appearance stream of a polyline annotation.
For a polyline annotation, vertexes property is required. So please ensure that a polyline annotation has valid vertexes property before resetting its appearance stream; otherwise the polyline annotation cannot be reset appearance stream.

Note
  For a newly created polyline annotation, if user calls function FSDK.Annot.ResetAppearanceStream directly after setting required vertexes property and not setting any other properties, the default appearance will be used:
  border width = 2.0, border style = FSDK.BorderInfo.e_Solid, border color = 0xFFFF0000 (red), opacity = 1.0.

See also
  FSDK.Markup

## Member Function Documentation

## ◆ constructor()

FSDK.PolyLine.constructor | ( | annot |  | ) |

Constructor, with parent class object.

Parameters

  [in] | annot | Parent class object.

## ◆ GetLineEndStyle()

FSDK.PolyLine.GetLineEndStyle | ( |  | ) |

Get line ending style of the end point.

This property has effect on polyline annotation's appearance.

Returns
  The line ending style of the end point. Please refer to values starting from FSDK.Markup.e_EndingStyleNone and this would be one of these values.

## ◆ GetLineStartStyle()

FSDK.PolyLine.GetLineStartStyle | ( |  | ) |

Get line ending style of the start point.

This property has effect on polyline annotation's appearance.

Returns
  The line ending style of the start point. Please refer to values starting from FSDK.Markup.e_EndingStyleNone and this would be one of these values.

## ◆ GetMeasureConversionFactor()

FSDK.PolyLine.GetMeasureConversionFactor | ( | measure_type |  | ) |

Get the conversion factor for measuring.

A polyline annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | measure_type | Measure type. Please refer to values starting from FSDK.Markup.e_MeasureTypeX and this should be one of these values.

Returns
  The conversion factor.

## ◆ GetMeasureRatio()

FSDK.PolyLine.GetMeasureRatio | ( |  | ) |

Get the scale ratio string for measuring.

A polyline annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Scale ratio string expresses the scale ratio of the drawing in the region. Please refer to P745 in <PDF Reference 1.7> for more details.

Returns
  A UTF-8 byte string that expresses the scale ratio.

## ◆ GetMeasureRatioW()

FSDK.PolyLine.GetMeasureRatioW | ( |  | ) |

Get the scale ratio string for measuring.

A polyline annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Scale ratio string expresses the scale ratio of the drawing in the region. Please refer to P745 in <PDF Reference 1.7> for more details.

Returns
  A Unicode string that expresses the scale ratio.

## ◆ GetMeasureUnit()

FSDK.PolyLine.GetMeasureUnit | ( | measure_type |  | ) |

Get the label for displaying the units for measuring.

A polyline annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | measure_type | Measure type. Please refer to values starting from FSDK.Markup.e_MeasureTypeX and this would be one of these values.

Returns
  A UTF-8 text string that represents a label for displaying the units.

## ◆ GetMeasureUnitW()

FSDK.PolyLine.GetMeasureUnitW | ( | measure_type |  | ) |

Get the label for displaying the units for measuring.

A polyline annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | measure_type | Measure type. Please refer to values starting from FSDK.Markup.e_MeasureTypeX and this would be one of these values.

Returns
  A Unicode string that represents a label for displaying the units.

## ◆ GetStyleFillColor()

FSDK.PolyLine.GetStyleFillColor | ( |  | ) |

Get fill color for some line ending styles.

This property has effect on polyline annotation's appearance when the line ending style is one of following styles:
"Square", "Circle", "Diamond", "ClosedArrow", "RClosedArrow".

Returns
  The fill color. Format: 0xRRGGBB. If no fill color can be found, 0x000000 will be returned.

## ◆ GetVertexes()

FSDK.PolyLine.GetVertexes | ( |  | ) |

Get vertexes.

Vertexes property is required for a polyline annotation and this property has effect on polyline annotation's appearance.

Returns
  A point array that represents the vertexes.

## ◆ SetLineEndStyle()

FSDK.PolyLine.SetLineEndStyle | ( | ending_style |  | ) |

Set line ending style of the end point.

This property has effect on polyline annotation's appearance. If user wants the new line ending style of end point has effect on annotation's appearance, please call function FSDK.Annot.ResetAppearanceStream after setting the new line ending style of end point.

Parameters

  [in] | ending_style | The line ending style for the end point to be set. Please refer to values starting from FSDK.Markup.e_EndingStyleNone and this should be one of these values.

Returns
  None.

## ◆ SetLineStartStyle()

FSDK.PolyLine.SetLineStartStyle | ( | starting_style |  | ) |

Set line ending style of the start point.

This property has effect on polyline annotation's appearance. If user wants the new line ending style of start point has effect on annotation's appearance, please call function FSDK.Annot.ResetAppearanceStream after setting the new line ending style of start point.

Parameters

  [in] | starting_style | The line ending style for the start point to be set.Please refer to values starting from FSDK.Markup.e_EndingStyleNone and this should be one of these values.

Returns
  None.

## ◆ SetMeasureConversionFactor()

FSDK.PolyLine.SetMeasureConversionFactor | ( | measure_type | ,
|  | factor |
| ) |  |

Set the conversion factor for measuring.

A polyline annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | measure_type | Measure type. Please refer to values starting from FSDK.Markup.e_MeasureTypeX and this should be one of these values.
  [in] | factor | The conversion factor.

Returns
  None.

## ◆ SetMeasureRatio()

FSDK.PolyLine.SetMeasureRatio | ( | ratio |  | ) |

Set the scale ratio string for measuring.

A polyline annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Scale ratio string expresses the scale ratio of the drawing in the region. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | ratio | A UTF-8 byte string expressing the scale ratio. The string should be like: "1/4 in = 1 ft", indicating that 1/4 inches in default user space is equivalent to 1 foot in real-world measurements.

Returns
  None.

## ◆ SetMeasureUnit()

FSDK.PolyLine.SetMeasureUnit | ( | measure_type | ,
|  | unit |
| ) |  |

Set the label for displaying the units for measuring.

A polyline annotation may have a measure dictionary that specifies an alternate coordinate system for a region of a page. Please refer to P745 in <PDF Reference 1.7> for more details.

Parameters

  [in] | measure_type | Measure type. Please refer to values starting from FSDK.Markup.e_MeasureTypeX and this would be one of these values.
  [in] | unit | A UTF-8 text string that specifies a label for displaying the units.

Returns
  None.

## ◆ SetStyleFillColor()

FSDK.PolyLine.SetStyleFillColor | ( | fill_color |  | ) |

Set fill color for some line ending styles.

This property has effect on polyline annotation's appearance when the line ending style of start point or end point is one of following styles:
"Square", "Circle", "Diamond", "ClosedArrow", "RClosedArrow".

Parameters

  [in] | fill_color | New fill color to be set. Format: 0xRRGGBB.

Returns
  None.

## ◆ SetVertexes()

FSDK.PolyLine.SetVertexes | ( | vertexes |  | ) |

Set vertexes.

Vertexes property is required for a polyline annotation and this property has effect on polyline annotation's appearance. If user wants the new vertexes have effect on annotation's appearance, please call function FSDK.Annot.ResetAppearanceStream after setting the new vertexes.

Parameters

  [in] | vertexes | A valid point array of vertexes. It should contains at least 2 points as vertexes.

Returns
  None.